Package org.apache.qpid.proton.amqp.transaction

# Class Discharge

java.lang.Object
org.apache.qpid.proton.amqp.transaction.Discharge

public final class Discharge extends Object

## Constructor Summary

Constructors
Constructor
Description
`Discharge()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getFail()`
`Binary`
`getTxnId()`
`void`
`setFail(Boolean fail)`
`void`
`setTxnId(Binary txnId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Discharge

public Discharge()

## Method Details

### getTxnId

public Binary getTxnId()

### setTxnId

public void setTxnId(Binary txnId)

### getFail

public Boolean getFail()

### setFail

public void setFail(Boolean fail)

### toString

public String toString()

Overrides:
  `toString` in class `Object`